Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
admin/articleedit.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $CategoryID = isset($_POST["CategoryID"]) ? $_POST["CategoryID"] : false
if(isset( $PublishArticle)) if(isset( $Action) && $Action=="Cancel") if(isset( $Action) && $Action=="Update"||(isset( $Action) && $Action=="Insert")) elseif(isset( $Action) && $Action=="New") elseif(isset( $Action) && $Action=="Edit") | $Language = $ini->variable( "eZArticleMain", "Language" )
| $ShowModuleLinker = $ini->variable( "eZArticleMain", "ShowModuleLinker" ) == "true"
| $t
| $Locale = new eZLocale( $Language )
if(isset($_REQUEST['ErrorParsing'])) | else
| $writeGroupsID = array()
| $readGroupsID = array()
| $group = new eZUserGroup()
| $groupList = $group->getAll()
| $groupListIDs = array( "0" )
else | $groupListIDsSelection = $readGroupsID[0]
else | $writeGroupsIDsSelection = $writeGroupsID[0]
| $author = new eZAuthor()
| $authorArray = $author->getAll()
foreach( $authorArray as $author) | $topic = new eZTopic()
| $topicArray = $topic->getAll()
foreach( $topicArray as $topic) | $category = new eZArticleCategory()
| $categoryArray = $category->getAll( )
| $tree = new eZArticleCategory()
| $treeArray =& $tree->getTree()
| $user =& eZUser::currentUser()
| $catCount = count( $treeArray )

## Variable Documentation

## ◆ $author

$author = new eZAuthor()

Definition at line 834 of file admin/articleedit.php.

Referenced by eZArticle\author(), eZArticle\authorEmail(), eZArticle\authorText(), eZAuthor\getAll(), eZImageCategory\search(), eZArticleCategory\search(), eZArticle\search(), eZArticle\sendPendingMail(), eZArticle\setContentsWriter(), eZImage\setPhotographer(), eZMedia\setPhotographer(), and syncDir().

## ◆ $authorArray

$authorArray = $author->getAll()

Definition at line 835 of file admin/articleedit.php.

## ◆ $catCount

$catCount = count( $treeArray )

Definition at line 878 of file admin/articleedit.php.

## ◆ $category

foreach ($topicArray as $topic) $category = new eZArticleCategory()

Definition at line 870 of file admin/articleedit.php.

## ◆ $categoryArray

$categoryArray = $category->getAll( )

Definition at line 871 of file admin/articleedit.php.

## ◆ $CategoryID

$CategoryID = isset($_POST["CategoryID"]) ? $_POST["CategoryID"] : false

Definition at line 53 of file admin/articleedit.php.

Referenced by createArticleMenu(), createSmallArticleList(), deleteCache(), eZArticleTool\deleteCache(), eZProductTool\deleteCache(), eZOrderConfirmation\deleteCache(), and menuMaker().

## ◆ $group

foreach ($treeArray as $catItem) $group = new eZUserGroup()

Definition at line 799 of file admin/articleedit.php.

Referenced by eZConsultation\addGroup(), eZArticleCategory\articleCount(), eZArticle\articleCount(), eZArticleCategory\articles(), eZArticle\articles(), eZTopic\articles(), eZArticle\authorArticleCount(), eZArticle\authorArticleList(), changePermissions(), eZPermission\checkPermission(), eZPriceGroup\correctPrice(), eZPriceGroup\correctPriceGroup(), eZArticleCategory\countByParent(), eZGroupNoShow\dumpTable(), eZProductCategory\generatePermissionSQL(), eZGroupEvent\getByDate(), eZGroupEvent\getByGroup(), eZGroupEvent\getByGroupType(), eZVirtualFolder\getByName(), eZArticleCategory\getByParent(), ezpRestDebugPHPFormatter\getTimingsAccumulator(), eZForum\group(), group_exists(), eZCharTransform\groupCommands(), eZGroupEditor\groupHasEditor(), eZUser\groups(), eZGroupEditor\hasEditPermission(), eZPriceGroup\highestPrice(), eZImageCategory\imageCount(), eZImageCategory\images(), eZPermission\isEnabled(), eZForumMessage\lastMessages(), eZContentObjectStateGroup\limitations(), eZContentObjectStateGroup\limitationValues(), eZCodeMapper\loadTransformationFiles(), eZPriceGroup\lowestPrice(), eZArticle\manualKeywordIndex(), eZForum\moderator(), eZGroupEvent\notification(), eZBugModule\ownerGroup(), eZPriceGroup\priceGroups(), eZDebug\printReportInternal(), eZImage\requestImageVariation(), save_data(), eZImageCategory\search(), eZArticleCategory\search(), eZVirtualFile\search(), eZImage\search(), eZArticle\search(), eZArticle\searchByShortContent(), eZImage\searchCount(), eZVirtualFile\searchCount(), eZBulkMail\send(), eZPermission\setEnabled(), eZForum\setGroup(), eZGroupEditor\setGroup(), eZGroupEvent\setGroup(), eZGroupNoShow\setGroup(), eZUser\setGroupDefinition(), eZArticle\setIsPublished(), eZForum\setModerator(), eZObjectPermission\setPermission(), eZProduct\setShippingGroup(), eZPreferences\setVariable(), eZSession\setVariable(), syncDir(), eZCharTransform\transformByGroup(), eZPreferences\variable(), eZSession\variable(), and eZPreferences\variableArray().

## ◆ $groupList

$groupList = $group->getAll()

Definition at line 800 of file admin/articleedit.php.

Referenced by eZDebug\printReportInternal().

## ◆ $groupListIDs

$groupListIDs = array( "0" )

Definition at line 801 of file admin/articleedit.php.

## ◆ $groupListIDsSelection

else $groupListIDsSelection = $readGroupsID[0]

Definition at line 810 of file admin/articleedit.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 51 of file admin/articleedit.php.

## ◆ $Language

if (isset($PublishArticle)) if (isset($Action) &&$Action=="Cancel") if (isset($Action) &&$Action=="Update"||(isset($Action) &&$Action=="Insert")) elseif (isset($Action) &&$Action=="New") elseif (isset($Action) &&$Action=="Edit") $Language = $ini->variable( "eZArticleMain", "Language" )

Definition at line 499 of file admin/articleedit.php.

## ◆ $Locale

$Locale = new eZLocale( $Language )

Definition at line 526 of file admin/articleedit.php.

Referenced by ezpbKernelWeb\run().

## ◆ $readGroupsID

$readGroupsID = array()

Definition at line 582 of file admin/articleedit.php.

## ◆ $ShowModuleLinker

$ShowModuleLinker = $ini->variable( "eZArticleMain", "ShowModuleLinker" ) == "true"

Definition at line 500 of file admin/articleedit.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezarticle/admin/" . $ini->variable( "eZArticleMain", "AdminTemplateDir" ),
"kernel/ezarticle/admin/intl/", $Language, "articleedit.php" )
$ini
$ini
Definition: admin/articleedit.php:51
$Language
if(isset( $PublishArticle)) if(isset( $Action) && $Action=="Cancel") if(isset( $Action) && $Action=="Update"||(isset( $Action) && $Action=="Insert")) elseif(isset( $Action) && $Action=="New") elseif(isset( $Action) && $Action=="Edit") $Language
Definition: admin/articleedit.php:499
eZTemplate
Definition: eztemplate.php:107

Definition at line 502 of file admin/articleedit.php.

## ◆ $topic

foreach ($authorArray as $author) $topic = new eZTopic()

Definition at line 852 of file admin/articleedit.php.

Referenced by eZTopic\getAll(), eZArticle\getByImportID(), eZArticle\getByName(), eZArticleAttribute\getByName(), eZTopic\getByName(), eZImageCategory\getByName(), eZMediaCategory\getByName(), eZImageCategory\search(), eZArticleCategory\search(), eZArticle\setTopic(), and eZForumMessage\store().

## ◆ $topicArray

$topicArray = $topic->getAll()

Definition at line 853 of file admin/articleedit.php.

## ◆ $tree

$tree = new eZArticleCategory()

Definition at line 874 of file admin/articleedit.php.

## ◆ $treeArray

$treeArray =& $tree->getTree()

Definition at line 875 of file admin/articleedit.php.

## ◆ $user

$user =& eZUser::currentUser()

Definition at line 876 of file admin/articleedit.php.

## ◆ $writeGroupsID

$writeGroupsID = array()

Definition at line 581 of file admin/articleedit.php.

## ◆ $writeGroupsIDsSelection

else $writeGroupsIDsSelection = $writeGroupsID[0]

Definition at line 815 of file admin/articleedit.php.

## ◆ else

if ($ini->variable("eZArticleMain", "AdminURLTranslator")=="enabled") else

Initial value:
{
$t->set_var( "error_message", "" )
$t
$t
Definition: admin/articleedit.php:502

Definition at line 532 of file admin/articleedit.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.